<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
</script>

<template>
  <v-table class="font">
    <thead>
      <tr>
        <th>#</th>
        <th>Name</th>
        <th>Price</th>
        <th>Sweet-Level</th>
        <th>Unit</th>
        <th>Total</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr
        v-for="(item, index) of receiptStore.receiptItems"
        :key="item.id"
        class="hoverable-row"
        :class="{ 'even-row': index % 2 === 0, 'odd-row': index % 2 !== 0 }"
      >
        <td>{{ index + 1 }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>
          <v-btn
            icon="mdi-minus"
            density="compact"
            size="small"
            @click="receiptStore.decSL(item)"
          ></v-btn>
          {{ item.sweetLevel }}
          <v-btn
            icon="mdi-plus"
            density="compact"
            size="small"
            @click="receiptStore.incSL(item)"
          ></v-btn>
        </td>
        <td>
          <v-btn
            icon="mdi-minus"
            density="compact"
            size="small"
            @click="receiptStore.dec(item)"
          ></v-btn>
          {{ item.unit }}
          <v-btn
            icon="mdi-plus"
            density="compact"
            size="small"
            @click="receiptStore.inc(item)"
          ></v-btn>
        </td>
        <td>{{ item.price * item.unit }}</td>
        <td>
          <v-btn
            icon="mdi-delete"
            density="compact"
            @click="
              () => {
                receiptStore.removeReceiptItem(item)
              }
            "
          ></v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>

<style scoped>
.font {
  font-family: 'Kanit';
}

.hoverable-row:hover {
  background-color: #b3b3b3;
  cursor: pointer;
}
.even-row {
  background-color: #f0f0f0;
}

.odd-row {
  background-color: #ffffff;
}
</style>
